﻿@model SpielerModel
<div class="modal-header">
    <h5 class="modal-title" id="exampleModalLabel">
        Hi @Model.Name!
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body" style="max-height: 512px; overflow: auto">
    <div class="container">
        <p>Hier kannst du deinen Nutzernamen ändern.</p>
        <p>Gib dazu bitte deinen aktuellen Nutzernamen ein, damit wir sicherstellen können, dass du es wirklich ernst meinst!</p>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="basic-addon1">Aktuell</span>
            </div>
            <input id="old-name" type="text" class="form-control" placeholder="Nutzername" aria-label="Nutzername" aria-describedby="basic-addon2">
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="basic-addon2">Neu</span>
            </div>
            <input id="new-name" type="text" class="form-control" placeholder="Nutzername" aria-label="Nutzername" aria-describedby="basic-addon2">
        </div>
        <p class="text-sub">
            Wenn die Aktion erfolgreich war, wirst du automatisch ausgeloggt.
        </p>
        <p class="text-sub">
            Bitte beachte, dass du erst alle aktiven Spiele beenden bzw. schließen musst bevor du deinen Namen ändern kannst!
        </p>
    </div>
</div>
<div class="modal-footer">
    <div id="load-spinner" class="loader hidden"></div>
    <div id="error-msg" class="text-danger"></div>
    <div style="margin: auto"></div>
    <button type="button" class="btn btn-danger" data-dismiss="modal">Schließen</button>
    <button type="button" class="btn btn-success" onclick="change_name()">Name ändern</button>
</div>
<script>
    function change_name() {
        $("#error-msg").html("");

        $.ajax({
            type: "POST",
            url: "/User/ChangeName",
            data: {
                userName: '@Model.Name',
                userId: @Model.Id,
                oldName: $("#old-name").val(),
                newName: $("#new-name").val()
            },
            beforeSend: function () {
                $("#load-spinner").show();
            },
            complete: function () {
                $("#load-spinner").hide();
            },
            success: response => {
                if (response.result === 'Redirect') {
                    window.location = `${response.url}`;
                } else {
                    $("#error-msg").html(response.msg);
                }
            },
            error: response => {
                $("#error-msg").html(response);
            }
        });
    }
</script>